#!/bin/bash
##########################################
# File Name:22_check_disk.sh
# Version:V1.0
# Author:zhangpeng
# 0rganization:linuxjk.cn
# Desc:检查磁盘分区情况1.有几个分区2.每个分区使用率，根据不同使用率设置不同的警告提示
###########################################
#1.vars
#分区数量
part_cnt=`egrep -v '^$|#|swap' /etc/fstab | wc -l`
#分区名字
part_names=`egrep -v '^$|#|swap' /etc/fstab | awk '{print $2}'`


#2.for 循环依次处理
for part  in $part_names
do
	size=`df -h $part | awk 'NR==2{print $2}'`
	uselv=`df -h $part | awk -F '[ %]+' 'NR==2{print $5}'`
#根据不同使用率设置不同的警告提示
if [ $uselv -ge 60 ] && [ $uselv -le 70 ]
then
	msg="警告"
	let i++
elif [ $uselv -ge 70 ] && [ $uselv -le 80 ];then
	msg="严重"
	let i++	
elif [ $uselv -ge 80 ] && [ $uselv -le 90 ];then
	msg="故障"
	let i++
elif [ $uselv -ge 90 ] && [ $uselv -le 100 ];then
	msg="灾难"
	let i++
else
	msg="磁盘空间充足，利用率为 $uselv"
fi
echo "$part 大小：$size $msg%"

done
echo "磁盘分区数量：$part_cnt"
echo "磁盘空间不足分区数量：${i:-0}"
